Stop a running protein design run
POST/compute/v1/protein/design/{id}/stop
Stop an in-progress protein design run early
Path Parameters
id: string
Returns
id: string
Unique ProteinDesignRun identifier
completed_at: string
formatdate-time
created_at: string
formatdate-time
data_deleted_at: string
When the input, output, and result data was permanently deleted. Null if data has not been deleted.
formatdate-time
engine: "boltz-protein-design"
Engine used for protein design
engine_version: string
Engine version used for protein design
livemode: boolean
Whether this resource was created with a live API key.
started_at: string
formatdate-time
stopped_at: string
formatdate-time
workspace_id: string
Workspace ID
idempotency_key: optional string
Client-provided idempotency key
Stop a running protein design run
curl https://api.boltz.bio/compute/v1/protein/design/$ID/stop \
-X POST \
-H "x-api-key: $BOLTZ_API_KEY"{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"binder_specification": {
"chain_selection": {
"B": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
],
"design_motifs": [
{
"design_length_range": {
"max": 8,
"min": 4
},
"end_index": 5,
"start_index": 0,
"type": "replacement"
}
]
}
},
"modality": "peptide",
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template",
"rules": {
"excluded_amino_acids": [
"x"
],
"excluded_sequence_motifs": [
"string"
],
"max_hydrophobic_fraction": 0
}
},
"num_proteins": 10,
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
},
"idempotency_key": "idempotency_key",
"workspace_id": "workspace_id"
},
"livemode": true,
"progress": {
"num_proteins_generated": 0,
"total_proteins_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"binder_specification": {
"chain_selection": {
"B": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
],
"design_motifs": [
{
"design_length_range": {
"max": 8,
"min": 4
},
"end_index": 5,
"start_index": 0,
"type": "replacement"
}
]
}
},
"modality": "peptide",
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template",
"rules": {
"excluded_amino_acids": [
"x"
],
"excluded_sequence_motifs": [
"string"
],
"max_hydrophobic_fraction": 0
}
},
"num_proteins": 10,
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
},
"idempotency_key": "idempotency_key",
"workspace_id": "workspace_id"
},
"livemode": true,
"progress": {
"num_proteins_generated": 0,
"total_proteins_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}